# MongoCursor::dead

(PECL mongo >=0.9.6)

MongoCursor::dead — Checks if there are results that have not yet been sent from the database

### Description

public MongoCursor::dead ( void ) : bool

The database sends responses in batches of documents, up to 4MB of documents per response. This method checks if the database has more batches or if the result set has been exhausted.

A cursor being "dead" does not mean that MongoCursor::hasNext() will return `FALSE`, it only means that the database is done sending results to the client. The client should continue iterating through results until MongoCursor::hasNext() is `FALSE`.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if there are more results that have not yet been sent to the client, and `FALSE` otherwise.

### See Also

- MongoCursorInterface::dead() - Checks if there are results that have not yet been sent from the database